#include <DHT.h>

// DHT
#define DHTPIN 23
#define DHTTYPE DHT22
DHT dht(DHTPIN, DHTTYPE);

float temperatura;
float humedad;

void iniciarDHT(){
    dht.begin();
}

/***************************************************
* Get indoor Temp/Hum data
****************************************************/
void leerDHT()
{
  float tempIni = temperatura;
  float humIni = humedad;
  temperatura = dht.readTemperature();
  humedad = dht.readHumidity();
  if (isnan(humedad) || isnan(temperatura))   // Check if any reads failed and exit early (to try again).
  {
    temperatura = tempIni;
    humedad = humIni;
    return;
  }
}

//void leerDHT(){
//  humedad = dht.readHumidity();
//  temperatura = dht.readTemperature();
//    // Chequea el sensor.
//  if (isnan(humedad) || isnan(temperatura)) {
//    Serial.println("Ha fallado la lectura del sensor DHT!");
//    return;
//  }
//}
//
//void leerSimpleDHT(){
//  int err = SimpleDHTErrSuccess;
//  if ((err = dht22.read2(pinDHT22, &temperatura, &humidity, NULL) != SimpleDHTErrSuccess){
//    Serial.print("Lectura fallida del dht22");
//    delay(1000);
//  }
//  
//}

